# Template Class transposed_matrix

- Defined in File matrix.hpp

## Inheritance Relationships

### Base Type

- `public cif::matrix_expression< transposed_matrix< M > >` (Template Class matrix_expression)

## Class Documentation

template<typename M>
class transposed_matrix : public cif::matrix_expression<transposed_matrix<M>>

  A transposed matrix view.

  Public Functions

  inline transposed_matrix(const M &m)
  inline std::size_t dim_m() const

    Return dimension m.

  inline std::size_t dim_n() const

    Return dimension n.

  inline auto operator()(std::size_t i, std::size_t j) const

    Access to the value of element [ i, j ]